#ifndef SWIFT_IO_FLOAT_H
#define SWIFT_IO_FLOAT_H

#include <swift/stdlib.h>

#include <swift/io/api.h>

SWIFT_IO_API uint32_t swift_enc754_32(float value);
SWIFT_IO_API uint64_t swift_enc754_64(double value);
SWIFT_IO_API float swift_dec754_32(uint32_t value);
SWIFT_IO_API double swift_dec754_64(uint64_t value);

#endif /* SWIFT_IO_FLOAT_H */
